package io.renren.modules.generator.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.modules.generator.dao.ImagesLogDao;
import io.renren.modules.generator.entity.ImagesLogEntity;
import io.renren.modules.generator.service.ImagesLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("imagesLogEntityService")
public class ImagesLogServiceImpl extends ServiceImpl<ImagesLogDao, ImagesLogEntity> implements ImagesLogService {
    @Autowired
    ImagesLogDao imagesLogDao;

    @Override
    public int insert(ImagesLogEntity imagesLogEntity) {
        return imagesLogDao.insert(imagesLogEntity);
    }

    @Override
    public ImagesLogEntity selectByModelId(int modelId) {
        return imagesLogDao.selectByModelId(modelId);
    }

    @Override
    public int delete(int modelId) {
        return imagesLogDao.delete(modelId);
    }


}
